Bug 134661 - Bonobo-CRITICAL warnings - not able to load documents in gpdf
Bonobo-CRITICAL warnings - not able to load documents in gpdf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libbonoboui (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 10:35 EDT by Kjartan Maraas
Modified: 2013-04-02 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 09:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2004-10-05 10:35:01 EDT
Description of problem:
I can't get gpdf to load any docs here, and when I close the app it
spews warnings on the console:

(gpdf:19175): Bonobo-CRITICAL **: file bonobo-widget.c: line 325
(bonobo_widget_get_control_frame): assertion `BONOBO_IS_WIDGET
(bonobo_widget)' failed

(gpdf:19175): Bonobo-CRITICAL **: file bonobo-control-frame.c: line
571 (bonobo_control_frame_set_autoactivate): assertion
`BONOBO_IS_CONTROL_FRAME (frame)' failed

(gpdf:19175): Bonobo-CRITICAL **: file bonobo-widget.c: line 325
(bonobo_widget_get_control_frame): assertion `BONOBO_IS_WIDGET
(bonobo_widget)' failed

(gpdf:19175): Bonobo-CRITICAL **: file bonobo-control-frame.c: line
533 (bonobo_control_frame_control_deactivate): assertion
`BONOBO_IS_CONTROL_FRAME (frame)' failed

I ran it using --g-fatal-warnings in gdb and got this backtrace:

Bonobo-CRITICAL **: file bonobo-widget.c: line 325
(bonobo_widget_get_control_frame): assertion `BONOBO_IS_WIDGET
(bonobo_widget)' failed
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread -158797696 (LWP 19156)]
0xf6fe9782 in ?? () at rtld.c:576 from /lib/ld-linux.so.2
576     relocate_doit (void *a)
(gdb) bt
#0  0xf6fe9782 in ?? () at rtld.c:576 from /lib/ld-linux.so.2
#1  0xf69ef625 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:67
#2  0xf69f0fe9 in *__GI_abort () at ../sysdeps/generic/abort.c:88
#3  0x00944aae in g_logv (log_domain=0x45aef0 "Bonobo",
    log_level=G_LOG_LEVEL_CRITICAL,
    format=0x45ae88 "file %s: line %d (%s): assertion `%s' failed",
    args1=0xfeefbbdc "[DF") at gmessages.c:522
#4  0x00944ae0 in g_log (log_domain=0x0, log_level=0, format=0x0)
    at gmessages.c:541
#5  0x00456756 in bonobo_widget_get_control_frame (bonobo_widget=0x0)
    at bonobo-widget.c:325
#6  0x0804fe84 in gpdf_window_close (gpdf_window=0x95e8778) at gpdf.c:371
#7  0x00438619 in marshal_VOID__USER_DATA_STRING (closure=0x95fa420,
    return_value=0xfeefbdf0, n_param_values=2, param_values=0x982cf88,
    invocation_hint=0x0, marshal_data=0x0) at bonobo-ui-component.c:221
#8  0x00a9d347 in g_closure_invoke (closure=0x95fa420, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#9  0x04613518 in bonobo_closure_invoke_va_list (closure=0x95fa420,
    return_value=0x0, var_args=0xfeefbe4c "�����\035Z\t") at
bonobo-types.c:415
#10 0x04613785 in bonobo_closure_invoke (closure=0x95fa420, return_type=4)
    at bonobo-types.c:478
#11 0x0043972d in impl_Bonobo_UIComponent_execVerb (servant=0x95f862c,
---Type <return> to continue, or q <return> to quit---
    cname=0x982cdd0 "FileClose", ev=0xfeefbf50) at
bonobo-ui-component.c:158
#12 0x04614553 in _ORBIT_skel_small_Bonobo_UIComponent_execVerb (
    _o_servant=0x0, _o_retval=0x0, _o_args=0x0, _o_ctx=0x0, _o_ev=0x0,
    _impl_execVerb=0x439630 <impl_Bonobo_UIComponent_execVerb>)
    at Bonobo-common.c:1196
#13 0xf6b4746d in ORBit_c_stub_invoke (obj=0x95fa3c0, methods=0x4636644,
    method_index=4, ret=0x0, args=0xfeefbf00, ctx=0x0, ev=0xfeefbf50,
    class_id=7, method_offset=20,
    skel_impl=0x4614532 <_ORBIT_skel_small_Bonobo_UIComponent_execVerb>)
    at poa.c:2627
#14 0x046181a2 in Bonobo_UIComponent_execVerb (_obj=0x0,
    cname=0x982cdd0 "FileClose", ev=0x0) at Bonobo-stubs.c:1227
#15 0x00441fef in impl_emit_verb_on (engine=0x95ebc90, node=0x95fa3f0)
    at bonobo-ui-engine.c:1533
#16 0x00ab5b86 in g_cclosure_marshal_VOID__POINTER (closure=0x95f3a10,
    return_value=0x0, n_param_values=2, param_values=0xfeefc310,
    invocation_hint=0xfeefc1e8, marshal_data=0x441e6f) at gmarshal.c:601
#17 0x00a9d6b2 in g_type_class_meta_marshal (closure=0x95f3a10,
    return_value=0x0, n_param_values=0, param_values=0xfeefc310,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#18 0x00a9d347 in g_closure_invoke (closure=0x95f3a10, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#19 0x00ab3576 in signal_emit_unlocked_R (node=0x95ebe88, detail=0,
---Type <return> to continue, or q <return> to quit---
    instance=0x95ebc90, emission_return=0x0,
instance_and_params=0xfeefc310)
    at gsignal.c:2473
#20 0x00ab49bc in g_signal_emit_valist (instance=0x95ebc90, signal_id=1,
    detail=0, var_args=0xfeefc4a0 "�jF") at gsignal.c:2194
#21 0x00ab4c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
#22 0x00441b86 in bonobo_ui_engine_emit_verb_on_w (engine=0x0, widget=0x0)
    at bonobo-ui-engine.c:3040
#23 0x0044679a in exec_verb_cb (item=0x0, engine=0x0)
    at bonobo-ui-sync-menu.c:445
#24 0x00ab50ae in g_cclosure_marshal_VOID__VOID (closure=0x960c888,
    return_value=0x0, n_param_values=1, param_values=0x0,
    invocation_hint=0xfeefc6e8, marshal_data=0x0) at gmarshal.c:77
#25 0x00a9d347 in g_closure_invoke (closure=0x960c888, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#26 0x00ab294e in signal_emit_unlocked_R (node=0x95fbaf0, detail=0,
    instance=0x960c810, emission_return=0x0,
instance_and_params=0xfeefc810)
    at gsignal.c:2435
#27 0x00ab49bc in g_signal_emit_valist (instance=0x960c810, signal_id=1,
    detail=0, var_args=0xfeefc99c " \212\201\t�����F��\001") at
gsignal.c:2194
#28 0x00ab4c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
#29 0xf6eef6f9 in gtk_widget_activate (widget=0x960c810) at
gtkwidget.c:3594
---Type <return> to continue, or q <return> to quit---
#30 0xf6e0b300 in gtk_menu_shell_activate_item (menu_shell=0x95fde00,
    menu_item=0x960c810, force_deactivate=1) at gtkmenushell.c:892
#31 0xf6e0bad2 in gtk_real_menu_shell_activate_current
(menu_shell=0x95fde00,
    force_hide=0) at gtkmenushell.c:1145
#32 0x00ab5166 in g_cclosure_marshal_VOID__BOOLEAN (closure=0x95f5c50,
    return_value=0xfeefcd90, n_param_values=2, param_values=0x982ca68,
    invocation_hint=0xfeefcc68, marshal_data=0xf6e0ba85) at gmarshal.c:111
#33 0x00a9d6b2 in g_type_class_meta_marshal (closure=0x95f5c50,
    return_value=0x0, n_param_values=0, param_values=0x982ca68,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#34 0x00a9d347 in g_closure_invoke (closure=0x95f5c50, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#35 0x00ab3576 in signal_emit_unlocked_R (node=0x95f6b60, detail=0,
    instance=0x95fde00, emission_return=0xfeefcd90,
    instance_and_params=0x982ca68) at gsignal.c:2473
#36 0x00ab4f87 in g_signal_emitv (instance_and_params=0x982ca68,
signal_id=1,
    detail=0, return_value=0x0) at gsignal.c:2106
#37 0xf6d3f7d3 in gtk_binding_entry_activate (entry=0x95ed698,
    object=0x95fde00) at gtkbindings.c:525
#38 0xf6d40a57 in binding_match_activate (pspec_list=0x0,
object=0x95fde00,
    path_length=12, path=0x95f6030 "GtkMenuShell",
    path_reversed=0x981b890 "llehSuneMktG") at gtkbindings.c:927
#39 0xf6d40cae in gtk_bindings_activate_list (object=0x95fde00,
---Type <return> to continue, or q <return> to quit---
    entries=0x9818a28, is_release=0) at gtkbindings.c:1063
#40 0xf6d40ef1 in gtk_bindings_activate_event (object=0x95fde00,
    event=0x9810870) at gtkbindings.c:1138
#41 0xf6e0a6ce in gtk_menu_shell_key_press (widget=0x95fde00,
event=0x9810870)
    at gtkmenushell.c:574
#42 0x00446834 in sucking_gtk_keybindings_cb (widget=0x95fde00, event=0x0,
    dummy=0x0) at bonobo-ui-sync-menu.c:481
#43 0xf6dfbda7 in _gtk_marshal_BOOLEAN__BOXED (closure=0x95fdf58,
    return_value=0xfeefd110, n_param_values=2, param_values=0xfeefd260,
    invocation_hint=0xfeefd138, marshal_data=0x0) at gtkmarshalers.c:82
#44 0x00a9d347 in g_closure_invoke (closure=0x95fdf58, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#45 0x00ab294e in signal_emit_unlocked_R (node=0x95d86b0, detail=0,
    instance=0x95fde00, emission_return=0xfeefd200,
    instance_and_params=0xfeefd260) at gsignal.c:2435
#46 0x00ab4613 in g_signal_emit_valist (instance=0x95fde00, signal_id=0,
    detail=0, var_args=0xfeefd3f0 "����") at gsignal.c:2204
#47 0x00ab4c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
#48 0xf6eef885 in gtk_widget_event_internal (widget=0x95fde00,
event=0x9810870)
    at gtkwidget.c:3563
#49 0xf6dfa1a2 in gtk_propagate_event (widget=0x95fde00, event=0x9810870)
    at gtkmain.c:2311
---Type <return> to continue, or q <return> to quit---
#50 0xf6dfa370 in gtk_main_do_event (event=0x9810870) at gtkmain.c:1583
#51 0xf6bbb092 in gdk_event_dispatch (source=0x0, callback=0,
user_data=0x0)
    at gdkevents-x11.c:2184
#52 0x0093c33b in g_main_context_dispatch (context=0x95c0748) at
gmain.c:1942
#53 0x0093ddc2 in g_main_context_iterate (context=0x95c0748, block=1,
    dispatch=1, self=0x95a1df0) at gmain.c:2573
#54 0x0093e06f in g_main_loop_run (loop=0x9810690) at gmain.c:2777
#55 0x045ffdd5 in bonobo_main () at bonobo-main.c:297
#56 0x0805162e in main (argc=2, argv=0x95a44d8) at gpdf.c:165
(gdb)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2005-02-02 09:00:18 EST
Don't see this any more. Closing.

Note You need to log in before you can comment on or make changes to this bug.